package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B44T00Datatype implements Serializable {
	
	private String ejercicio = "";
	private String numExp = "";
	private String clave = "";
	private String tipoPer = "";
	private String nif = "";
	private String denom = "";
	private String fhContrato = "";
	

	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the clave.
	 */
	public String getClave() {
		return clave;
	}
	/**
	 * @param clave The clave to set.
	 */
	public void setClave(String clave) {
		this.clave = clave;
	}
	
	/**
	 * @return Returns the tipoPer.
	 */
	public String getTipoPer() {
		return tipoPer;
	}
	/**
	 * @param tipoPer The tipoPer to set.
	 */
	public void setTipoPer(String tipoPer) {
		this.tipoPer = tipoPer;
	}
	
	/**
	 * @return Returns the nif.
	 */
	public String getNif() {
		return nif;
	}
	/**
	 * @param nif The nif to set.
	 */
	public void setNif(String nif) {
		this.nif = nif;
	}
	
	/**
	 * @return Returns the denom.
	 */
	public String getDenom() {
		return denom;
	}
	/**
	 * @param denom The denom to set.
	 */
	public void setDenom(String denom) {
		this.denom = denom;
	}
	
	/**
	 * @return Returns the fhContrato.
	 */
	public String getFhContrato() {
		return fhContrato;
	}
	/**
	 * @param fhContrato The fhContrato to set.
	 */
	public void setFhContrato(String fhContrato) {
		this.fhContrato = fhContrato;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; clave: ");
		textoImprimir.append(clave);
		textoImprimir.append("; denom: ");
		textoImprimir.append(denom);
		textoImprimir.append("; tipoPer: ");
		textoImprimir.append(tipoPer);
		textoImprimir.append("; nif: ");
		textoImprimir.append(nif);
		textoImprimir.append("; fhContrato: ");
		textoImprimir.append(fhContrato);		
								
		return textoImprimir.toString();
	}
	

}
